Subject: [AAA-DOCTORS] Fwd: [Technical Errata Reported] RFC5176 (4280)

From: Alan DeKok <[email-masked]>
Date: Tue, 24 Feb 2015 15:44:22 -0500

I think this one is simple.  3.5 says that Error-Cause is allowed in ACK packets.  But the table in 3.6 has “0” instead of “0+” for ACK packets.

Begin forwarded message:

> From: RFC Errata System <[email-masked]>
> Subject: [Technical Errata Reported] RFC5176 (4280)
> Date: February 24, 2015 at 3:41:47 PM EST
> To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
> Cc: [email-masked], [email-masked], [email-masked]
> 
> The following errata report has been submitted for RFC5176,
> "Dynamic Authorization Extensions to Remote Authentication Dial In User Service (RADIUS)".
> 
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata_search.php?rfc=5176&eid=4280
> 
> --------------------------------------
> Type: Technical
> Reported by: Alan DeKok <[email-masked]>
> 
> Section: 3.6
> 
> Original Text
> -------------
>   0         0        0+  101   Error-Cause
> 
> 
> In both tables, for CoA and Disconnect messages.
> 
> Corrected Text
> --------------
>   0         0+        0+  101   Error-Cause
> 
> 
> In both tables, for CoA and Disconnect messages.
> 
> Notes
> -----
> Section 3.5 says that Error-Cause may be sent in a CoA-ACK or Disconnect-ACK packet:
> 
>      ...
>      Values 200-299 represent successful completion, so that these
>      values may only be sent within CoA-ACK or Disconnect-ACK packets
> 
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party (IESG)
> can log in to change the status and edit the report, if necessary. 
> 
> --------------------------------------
> RFC5176 (draft-ietf-radext-rfc3576bis-13)
> --------------------------------------
> Title               : Dynamic Authorization Extensions to Remote Authentication Dial In User Service (RADIUS)
> Publication Date    : January 2008
> Author(s)           : M. Chiba, G. Dommety, M. Eklund, D. Mitton, B. Aboba
> Category            : INFORMATIONAL
> Source              : RADIUS EXTensions
> Area                : Operations and Management
> Stream              : IETF
> Verifying Party     : IESG
>